Create Alert Plugin
If the Notification plugin is a standard email plugin, then any untrusted certificates from the secure SMTP server
is returned as part of the response, the api client should invoke a PATCH call to store these certificates.
By default the notification plugin is in disabled state after being created.
Use the modifyAlertPluginState API to enable the plugin.
The NotificationPlugin to create, including plugin type and configuration details
Show optional properties
{
"name": "string",
"pluginTypeId": "string"
}
"{\n \"pluginTypeId\" : \"StandardEmailPlugin\",\n \"name\" : \"Notification Plugin Sample\",\n \"description\" : \"Where to notify Example\",\n \"configValues\" : [ {\n \"name\" : \"IS_SECURE_CONNECTION\",\n \"value\" : \"true\"\n }, {\n \"name\" : \"SMTP_HOST\",\n \"value\" : \"10.118.48.101\"\n }, {\n \"name\" : \"SMTP_PORT\",\n \"value\" : \"25\"\n }, {\n \"name\" : \"senderEmailAddress\",\n \"value\" : \"[email protected]\"\n }, {\n \"name\" : \"senderName\",\n \"value\" : \"Somebody\"\n } ]\n}"
Any set of untrusted certificates returned by the adapter source
The list of name value pairs for Plugin configuration
The description for the configuration
A read-only property whose value is set by the system
The name for the configuration
The Plugin Id, cannot be null during update operations
The plugin type identifier
Created Notification Plugin Instance
"{\n \"pluginTypeId\" : \"StandardEmailPlugin\",\n \"pluginId\" : \"0af46857-0186-406e-a7c8-bdcf0cc7737d\",\n \"name\" : \"Notification Plugin Sample\",\n \"description\" : \"Where to notify Example\",\n \"configValues\" : [ {\n \"name\" : \"IS_SECURE_CONNECTION\",\n \"value\" : \"true\"\n }, {\n \"name\" : \"SMTP_HOST\",\n \"value\" : \"10.118.48.101\"\n }, {\n \"name\" : \"SMTP_PORT\",\n \"value\" : \"25\"\n }, {\n \"name\" : \"senderEmailAddress\",\n \"value\" : \"[email protected]\"\n }, {\n \"name\" : \"senderName\",\n \"value\" : \"Somebody\"\n } ],\n \"certificates\" : [ {\n \"thumbprint\" : \"7d3ecea8-3ace-4213-852a-e21ef26f9447\",\n \"certificateDetails\" : \"Issued: vmware , expiry:10/01/2014\"\n } ]\n}"
Any set of untrusted certificates returned by the adapter source
The list of name value pairs for Plugin configuration
The description for the configuration
A read-only property whose value is set by the system
The name for the configuration
The Plugin Id, cannot be null during update operations
The plugin type identifier
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string","pluginTypeId":"string"}' https://{api_host}/suite-api/api/alertplugins